Skip to main content
POST
/
v1
/
dev
/
user
/
conversations
Create Conversation
curl --request POST \
  --url https://api.omi.me/v1/dev/user/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "finished_at": "2023-11-07T05:31:56Z",
  "geolocation": {
    "latitude": 123,
    "longitude": 123,
    "address": "<string>",
    "google_place_id": "<string>",
    "location_type": "<string>"
  },
  "language": "en",
  "started_at": "2023-11-07T05:31:56Z",
  "text_source": "other_text",
  "text_source_spec": "<string>"
}
'
{
  "discarded": true,
  "id": "<string>",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <omi_developer_api_key>.

Body

application/json
text
string
required

The conversation text/transcript

Required string length: 1 - 100000
finished_at
string<date-time> | null

When the conversation finished (defaults to started_at + 5 minutes)

geolocation
Geolocation · object

Geolocation where conversation occurred

language
string | null
default:en

Language code (ISO 639-1, e.g., 'en', 'es', 'fr')

started_at
string<date-time> | null

When the conversation started (defaults to now)

text_source
enum<string>
default:other_text

Source type: audio_transcript, message, or other_text

Available options:
audio_transcript,
message,
other_text
text_source_spec
string | null

Additional source specification (e.g., 'email', 'slack', 'whatsapp')

Response

Successful Response

discarded
boolean
required
id
string
required
status
string
required